package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.WxSystemSetting;
import com.flossom.common.core.mapper.WxSystemSettingMapper;
import com.flossom.common.core.utils.DateUtils;
import com.flossom.common.security.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.IWxSystemSettingService;

/**
 * 平台参数设置Service业务层处理
 *
 * @author flossom
 * @date 2023-12-11
 */
@Service
public class WxSystemSettingServiceImpl implements IWxSystemSettingService {
    @Autowired
    private WxSystemSettingMapper wxSystemSettingMapper;

    /**
     * 查询平台参数设置
     *
     * @param id 平台参数设置主键
     * @return 平台参数设置
     */
    @Override
    public WxSystemSetting selectWxSystemSettingById(Long id) {
        return wxSystemSettingMapper.selectWxSystemSettingById(id);
    }

    /**
     * 查询平台参数设置列表
     *
     * @param wxSystemSetting 平台参数设置
     * @return 平台参数设置
     */
    @Override
    public List<WxSystemSetting> selectWxSystemSettingList(WxSystemSetting wxSystemSetting) {
        return wxSystemSettingMapper.selectWxSystemSettingList(wxSystemSetting);
    }

    /**
     * 新增平台参数设置
     *
     * @param wxSystemSetting 平台参数设置
     * @return 结果
     */
    @Override
    public int insertWxSystemSetting(WxSystemSetting wxSystemSetting) {
        wxSystemSetting.setCreateTime(DateUtils.getNowDate());
        wxSystemSetting.setCreateBy(SecurityUtils.getUsername());
        return wxSystemSettingMapper.insertWxSystemSetting(wxSystemSetting);
    }

    /**
     * 修改平台参数设置
     *
     * @param wxSystemSetting 平台参数设置
     * @return 结果
     */
    @Override
    public int updateWxSystemSetting(WxSystemSetting wxSystemSetting) {
        wxSystemSetting.setUpdateTime(DateUtils.getNowDate());
        wxSystemSetting.setUpdateBy(SecurityUtils.getUsername());
        return wxSystemSettingMapper.updateWxSystemSetting(wxSystemSetting);
    }

    /**
     * 批量删除平台参数设置
     *
     * @param ids 需要删除的平台参数设置主键
     * @return 结果
     */
    @Override
    public int deleteWxSystemSettingByIds(Long[] ids) {
        return wxSystemSettingMapper.deleteWxSystemSettingByIds(ids);
    }

    /**
     * 删除平台参数设置信息
     *
     * @param id 平台参数设置主键
     * @return 结果
     */
    @Override
    public int deleteWxSystemSettingById(Long id) {
        return wxSystemSettingMapper.deleteWxSystemSettingById(id);
    }
}
